HomeGuidesAPI Reference
API Reference

Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to check the current status of a payment initiated through the EdfaPay platform.


Endpoint

GET `https://app-api.edfapay.com/api/v1/transactions/filterTransaction?id=xxxxxx


Authentication

All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.

How to generate API key


Example cURL Request

curl --location 'https://app-api.edfapay.com/api/v1/transactions/filterTransaction?id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxf' \
--header 'X-API-KEY: <Your API Key>'

Query Parameters

FieldTypeRequiredDescription
idstringYesUnique transaction ID from EdfaPay (UUID).
🚧

Important Note

You can get the id from:

Dashboard in the transaction page with name Transaction ID., or

Webhook(callback) response with value of parameter transactionId also in the Successful Response


Response Example

{
    "code": 200,
    "message": "Success",
    "errorCode": null,
    "data": {
        "content": [
            {
                "transactionId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "orderId": "XXXXXXXX",
                "amount": "1.00",
                "currencyCode": "682",
                "transactionStatus": "FAILED",
                "paymentStatus": "DECLINED",
                "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "channel": "PAYMENT_GATEWAY",
                "rrn": null,
                "transactionType": "PURCHASE",
                "reconciliationStatus": "UNSETTLED",
                "reconciliationAt": null,
                "acquirerBank": null,
                "providerTid": null,
                "holderAccount": null,
                "cardScheme": null,
                "cardChannel": "PHYSICAL_CARD",
                "cardSequenceNumber": null,
                "pan": "5123 45** **** 0008",
                "cardExpiration": "2039/01",
                "cardHolderName": "XXXXXXXX",
                "createdAt": "2026-04-06T14:13:40.265071",
                "finishedAt": "2026-04-06T14:13:41.979423",
                "createdBy": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "createdByName": "XXXXXXXX",
                "totalRefundAmount": "0.00",
                "refundStatus": "NONE",
                "merchantId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "recurringToken": null,
                "declineReason": "No PaymentURL returned"
            }
        ],
        "number": 0,
        "size": 30,
        "totalElements": 1,
        "hasContent": true,
        "numberOfElements": 1,
        "totalPages": 1,
        "first": true,
        "last": true
    }
}

Notes

This API is used for post-transaction validation or reconciliation.

Ensure the id is the same as returned in the original transaction response.

Response

Language
URL
LoadingLoading…
Response
Choose an example:
*/*